# import kallsyms
# mengxp works 2021
import idaapi
import ida_kernwin
 
def parseLine(l):
    ls = l.split()
    a = int(ls[0], 16)
    t = ls[1]
    n = ls[2]
    if (t == "T" or t == "t"):
        idaapi.auto_make_code(a)
        idaapi.auto_make_proc(a)
    idaapi.set_name(a, n, idc.SN_NOWARN)
    
path = ida_kernwin.ask_file(False, '*.txt', 'open kallsyms output file')
if path is not None:
    with open(path) as f:
        for l in f:
            parseLine(l)